Download it now!
Bug 131969 - EXIF information not recognized
Summary: EXIF information not recognized
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Stephan Bergmann
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-04-07 19:47 UTC by raal
Modified: 2020-04-09 10:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
test file (245.90 KB, image/jpeg)
2020-04-07 19:47 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2020-04-07 19:47:11 UTC
Description:
Insert file with exif information - rotation not recognized.

Steps to Reproduce:
1.open new writer file
2.insert attached jpg file
3.

Actual Results:
file inserted and not rotated

Expected Results:
file inserted rotated


Reproducible: Always


User Profile Reset: No



Additional Info:
.
Comment 1 raal 2020-04-07 19:47:46 UTC
Created attachment 159401 [details]
test file
Comment 2 raal 2020-04-07 19:49:00 UTC
This seems to have begun at the below commit.
Adding Cc: to Stephan Bergmann ; Could you possibly take a look at this one?
Thanks

author	Stephan Bergmann <sbergman@redhat.com>	2019-06-18 00:00:54 +0200
committer	Stephan Bergmann <sbergman@redhat.com>	2019-06-18 10:59:59 +0200
commit	42c0e433aca68c669bc0f55af404b6bae1655fba (patch)
tree	b9aca1e8f0c6c16d8070e46afc1aca689c0e609c
parent	a2e4b76e29e491bac4f9e6dfd9929dfd49a4b05e (diff)
Avoid -fsanitize=misaligned-pointer-use
Comment 3 Stephan Bergmann 2020-04-08 10:11:50 UTC
<https://gerrit.libreoffice.org/c/core/+/91881> "tdf#131969: Fix reading SHORT Orientation value"
Comment 4 Commit Notification 2020-04-08 11:34:14 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fd5961cb0e2ebc2f5797f76a2b1f9fd52ca4b3ab

tdf#131969: Fix reading SHORT Orientation value

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Stephan Bergmann 2020-04-08 11:35:34 UTC
backport request to libreoffice-6-4 towards LO 6.4.4 at <https://gerrit.libreoffice.org/c/core/+/91889> "tdf#131969: Fix reading SHORT Orientation value"
Comment 6 Commit Notification 2020-04-09 08:53:50 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/e06d40222222d98f6a21a0a60d1491e7126f151c

tdf#131969: Fix reading SHORT Orientation value

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 raal 2020-04-09 10:33:25 UTC
Verified in Version: 7.0.0.0.alpha0+
Build ID: 95dbfd517240666e5b9a9fd7ac1d47d799235a62
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;